在Linux中部署Qt应用时出现“QXcbIntegration: Cannot create platform OpenGL context, neither GLX nor EGL are enabled”错误



  • 报错困扰
    我在Linux部署的时候,写了脚本,出现了下面的错误:

    QXcbIntegration: Cannot create platform OpenGL context, neither GLX nor EGL are enabled

    其它的技术问题我已经解决了,就这个导致OpenGL窗口始终显示不出来。不知道怎么办。🎈



  • 还是自己回复吧。是缺失了库。这个库是Qt安装时候带的,所以需要这么做:
    复制~/Develop/Qt/5.14.0/gcc_64/plugins/xcbglintegrations文件夹到类似~/QtDreamProject/___build-qtdream-linux-x64-gcc_64___/plugins中。这样就不会报错了。


Log in to reply
 

走马观花

最近的回复

  • Q

    幾乎沒有看到過,這究竟是什麼原因呢?
    有瞭解的同學可以來說一說。

    read more
  • 这里大概怎么做,然后值怎么传入![替代文字](73c989ff-abab-46e6-99e0-5173a40514b3-image.png 图片地址)例如上图的表格,表头怎么定义,然后表格的内容输入格式

    read more
  • @lsy 我没有在 QtLocation 成功实现高德地图的接入

    可以上 github 搜索用户 vladest,这个用户封装了国外大多数地图,可以参考这个去实现。

    read more
  • 自己顶顶有益健康

    read more

关注我们

微博
QQ群